Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 612760

Summary: games-mud/kmuddy-1.0.1-r3 : /.../dlgappsettings.cpp:557:87: error: no matching function for call to ‘KShortcutsEditor::KShortcutsEditor(KActionCollection*, QFrame*&, bool)’
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Gentoo Games <games>
Status: RESOLVED FIXED    
Severity: normal CC: kde, plevine457
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 582084    
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
games-mud:kmuddy-1.0.1-r3:20170315-083103.log
temp.tbz2

Description Toralf Förster gentoo-dev 2017-03-15 18:15:03 UTC
cd /var/tmp/portage/games-mud/kmuddy-1.0.1-r3/work/kmuddy-1.0.1_build/kmuddy/dialogs && /usr/bin/x86_64-pc-linux-gnu-g++  -DKDE4_CMAKE_TOPLEVEL_DIR_LENGTH=47 -DKDE_DEPRECATED_WARNINGS -DQT_NO_CAST_TO_ASCII -DQT_NO_STL -D_BSD_SOURCE -D_DEFAULT_SOURCE -D_REENTRANT -D_XOPEN_SOURCE=500 -I/var/tmp/portage/games-mud/kmuddy-1.0.1-r3/work/kmuddy-1.0.1 -I/var/tmp/portage/games-mud/kmuddy-1.0.1-r3/work/kmuddy-1.0.1_build -I/var/tmp/portage/games-mud/kmuddy-1.0.1-r3/work/kmuddy-1.0.1/libs -I/var/tmp/portage/games-mud/kmuddy-1.0.1-r3/work/kmuddy-1.0.1/kmuddy -I/var/tmp/portage/games-mud/kmuddy-1.0.1-r3/work/kmuddy-1.0.1_build/kmuddy/dialogs -I/usr/include/KDE -I/usr/include/qt4/QtXmlPatterns -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtWebKit -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtTest -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtScriptTools -I/usr/include/qt4/QtScript -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtMultimedia -I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtDeclarative -I/usr/include/qt4/QtDBus -I/usr/include/qt4/Qt3Support -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4/Qt -I/usr/share/qt4/mkspecs/default -I/usr/include/qt4   -DQT_NO_DEBUG -DNDEBUG -Werror=terminate -O2 -pipe -march=native -Wnon-virtual-dtor -Wno-long-long -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -fvisibility-inlines-hidden   -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -o CMakeFiles/dialogs.dir/dlgappsettings.o -c /var/tmp/portage/games-mud/kmuddy-1.0.1-r3/work/kmuddy-1.0.1/kmuddy/dialogs/dlgappsettings.cpp
/var/tmp/portage/games-mud/kmuddy-1.0.1-r3/work/kmuddy-1.0.1/kmuddy/dialogs/dlgappsettings.cpp: In constructor ‘dlgAppSettings::dlgAppSettings(QWidget*)’:
/var/tmp/portage/games-mud/kmuddy-1.0.1-r3/work/kmuddy-1.0.1/kmuddy/dialogs/dlgappsettings.cpp:557:87: error: no matching function for call to ‘KShortcutsEditor::KShortcutsEditor(KActionCollection*, QFrame*&, bool)’
 new KShortcutsEditor (cActionManager::self()->getACol (), frmshortcuts, false);
                                                                              ^
In file included from /usr/include/qt4/QtCore/qnamespace.h:45:0,

  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named plasma-abi32+64_20170309-193709) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.3.0 *
llvm-config:
3.9.1
Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
  [4]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby21 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
1)	IcedTea JDK 7.2.6.9 [icedtea-7]
2)	IcedTea JDK 7.2.6.9 [icedtea-bin-7]
*)	IcedTea JDK 3.3.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-7 
  [2]   icedtea-bin-7 
  [3]   icedtea-bin-8  system-vm
Comment 1 Toralf Förster gentoo-dev 2017-03-15 18:15:09 UTC
Created attachment 467164 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-03-15 18:15:15 UTC
Created attachment 467166 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2017-03-15 18:15:19 UTC
Created attachment 467168 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2017-03-15 18:15:23 UTC
Created attachment 467170 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2017-03-15 18:15:29 UTC
Created attachment 467172 [details]
games-mud:kmuddy-1.0.1-r3:20170315-083103.log
Comment 6 Toralf Förster gentoo-dev 2017-03-15 18:15:35 UTC
Created attachment 467174 [details]
temp.tbz2
Comment 7 Peter Levine 2017-05-09 02:22:31 UTC
The package is maintained and the latest git seems to build correctly with gcc-6.3.0 but there hasn't been an official release for some time.
Comment 8 Michael Palimaka (kensington) gentoo-dev 2017-07-22 03:36:15 UTC
Thanks, merged your Peter's PR.

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e9efb7e12ea706f8ed75e7cb66747d3c798111b